#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Plasma and Qt widget style and window decorations for Plasma 5 and KDE 4
Name:           oxygen
Version: 5.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  ki18n-devel
BuildRequires:  kconfig-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kcompletion-devel
BuildRequires:  frameworkintegration-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kwin-devel
BuildRequires:  kdecoration-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kf5-macros

Obsoletes:      qt5-style-oxygen < 5.3.2
Conflicts:      kdebase4-workspace < 2:4.11.23

Provides:       plasma-style-oxygen = %version-%release

%description
Plasma and Qt widget style and window decorations for Plasma 5 and KDE 4

%files -f %name.lang
%_kf5_bindir/oxygen-demo5
%_kf5_datadir/sounds/Oxygen-*
%_kf5_iconsdir/Oxygen_*
%_kf5_iconsdir/KDE_Classic
%_kf5_datadir/kstyle/themes/oxygen.themerc
%_kf5_datadir/plasma/look-and-feel/org.kde.oxygen
%_qt5_plugindir/kstyle_oxygen_config.so
%_qt5_plugindir/styles/oxygen.so
%_qt5_plugindir/org.kde.kdecoration2/oxygendecoration.so
%_kf5_services/oxygenstyleconfig.desktop
%_kf5_services/oxygendecorationconfig.desktop

#--------------------------------------------------------------------

%package -n     qt4-style-oxygen
Summary:        Oxygen widget style for Qt 4
Group:          System/Libraries

BuildRequires:  kdelibs4-devel

%description -n qt4-style-oxygen
Oxygen widget style for Qt 4

%files -n qt4-style-oxygen
%_kde_bindir/oxygen-demo
%_kde_bindir/oxygen-settings5
%_kde_libdir/kde4/kstyle_oxygen_config.so
%_kde_libdir/kde4/plugins/styles/oxygen.so
%_kde_datadir/apps/kstyle/themes/oxygen.themerc
%_kde_datadir/icons/hicolor/256x256/apps/oxygen-settings.png

#--------------------------------------------------------------------

%define oxygenstyle5_major 5
%define liboxygenstyle5 %mklibname oxygenstyle5_ %{oxygenstyle5_major}

%package -n %liboxygenstyle5
Summary:      Default Plasma widget theme
Group:        System/Libraries

Obsoletes:    %{mklibname oxygenstyle5 5} < 5.3.2-7
Obsoletes:    %{mklibname qt5oxygenstyle 5} < 5.3.2

%description -n %liboxygenstyle5
Default Plasma widget theme

%files -n %liboxygenstyle5
%_kf5_libdir/liboxygenstyle5.so.%{oxygenstyle5_major}*

#--------------------------------------------------------------------

%define oxygenstyleconfig5_major 5
%define liboxygenstyleconfig5 %mklibname oxygenstyleconfig5_ %{oxygenstyleconfig5_major}

%package -n %liboxygenstyleconfig5
Summary:      Default Plasma widget theme
Group:        System/Libraries

Obsoletes:    %{mklibname oxygenstyleconfig5 5} < 5.3.2-7
Obsoletes:    %{mklibname qt5oxygenstyleconfig 5} < 5.3.2

%description -n %liboxygenstyleconfig5
Default Plasma widget theme

%files -n %liboxygenstyleconfig5
%_kf5_libdir/liboxygenstyleconfig5.so.%{oxygenstyleconfig5_major}*

#--------------------------------------------------------------------

%define oxygenstyle_major 5
%define liboxygenstyle %mklibname oxygenstyle %{oxygenstyle_major}

%package -n %liboxygenstyle
Summary:      Default Plasma widget theme
Group:        System/Libraries

%description -n %liboxygenstyle
Default Plasma widget theme

%files -n %liboxygenstyle
%_kf5_libdir/liboxygenstyle.so.%{oxygenstyle_major}*

#--------------------------------------------------------------------

%define oxygenstyleconfig_major 5
%define liboxygenstyleconfig %mklibname oxygenstyleconfig %{oxygenstyleconfig_major}

%package -n %liboxygenstyleconfig
Summary:      Default Plasma widget theme
Group:        System/Libraries

%description -n %liboxygenstyleconfig
Default Plasma widget theme

%files -n %liboxygenstyleconfig
%_kf5_libdir/liboxygenstyleconfig.so.%{oxygenstyleconfig_major}*


#--------------------------------------------------------------------

%define oxygen_devel %mklibname %{name} -d

%package -n %oxygen_devel

Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %liboxygenstyle5 = %version-%release
Requires:       %liboxygenstyleconfig5 = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %oxygen_devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %oxygen_devel
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make
cd ..

mkdir build-kde4
pushd build-kde4
%cmake_kde4 -DOXYGEN_USE_KDE4:BOOL=ON ../.. 
%make
popd


%install
%makeinstall_std -C build
%makeinstall_std -C build-kde4/build

%find_lang %{name} --all-name


%changelog
* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga6
+ Revision: 1204497
- New version 5.12.2
- New version 5.12.1
- New version 5.11.95

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104850
- New version 5.8.7

* Tue Mar 14 2017 neoclust <neoclust> 5.8.6-5.mga6
+ Revision: 1092556
- Add provides for plasma style (mga#19272)

* Fri Mar 10 2017 neoclust <neoclust> 5.8.6-4.mga6
+ Revision: 1091164
- Rebuild for armv7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1090377
- Rebuild for armv7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089698
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089036
- New version 5.8.6

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078724
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078171
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070728
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065067
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064489
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063059
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060284
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057610
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053066
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052693
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048358
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044279
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042567
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041404
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039510
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021881
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014549
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009286
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999270
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998025
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994402
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987028
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983753
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927980
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922515
- New version 5.5.3

* Thu Dec 31 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 917191
- Add conflicts to ease update

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914850
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913641
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910695
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908856
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904409
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900767
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898267
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889527
- New version 5.4.2

* Sun Sep 20 2015 neoclust <neoclust> 5.4.1-2.mga6
+ Revision: 881931
- Build kde4 oxygen needed for not ported yet applications

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874739
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869656
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863611
- New version 5.3.95

* Tue Aug 04 2015 lmenut <lmenut> 5.3.2-7.mga6
+ Revision: 860940
- obsoletes qt5-style-oxygen
- fix lib names

* Sat Jul 18 2015 neoclust <neoclust> 5.3.2-6.mga6
+ Revision: 855126
- Revert previous previous commit

* Sat Jul 18 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 855114
- Fix packages names

* Sat Jul 18 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 855113
- Replace qt5-style-oxygen

* Sat Jul 11 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 853316
- Obsoletes kde4-style-oxygen

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 851826
- Remove conflicts

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850699
- New version 5.3.2

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804508
- New version 5.1.2

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793586
- add missing conflicts with KDE 4 (mga#14300)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 744718
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 683293
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-3.mga5
+ Revision: 664649
- Rename -devel

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-2.mga5
+ Revision: 664622
- fix BuildRequires kwin-devel

  + neoclust <neoclust>
    - Rename as this is not a framework
    - Rename

* Thu Aug 14 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662472
- New version 5.0.1

* Fri Jul 25 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 656513
- imported package kf5-oxygen

